routes/web.php
<?php

use App\Http\Controllers\AddressController;
use App\Http\Controllers\Auth\LoginController;
use App\Http\Controllers\BrandController;
use App\Http\Controllers\CategoryController;
use App\Http\Controllers\CityController;
use App\Http\Controllers\CKEditorController;
use App\Http\Controllers\CommentController;
use App\Http\Controllers\ConsultationController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\DiscountController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\MenuController;
use App\Http\Controllers\NewsletterController;
use App\Http\Controllers\OrderController;
use App\Http\Controllers\PageController;
use App\Http\Controllers\PaymentController;
use App\Http\Controllers\PostController;
use App\Http\Controllers\ProductController;
use App\Http\Controllers\ProductKeyController;
use App\Http\Controllers\ProductValueController;
use App\Http\Controllers\ProfileController;
use App\Http\Controllers\SearchHistoryController;
use App\Http\Controllers\ShoppingCartController;
use App\Http\Controllers\TicketController;
use App\Http\Controllers\TicketMessageController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

//Route::get('/', function () {
//    return view('welcome');
//});


Route::get('/clear-cache', function() {
    $exitCode = Artisan::call('cache:clear');
    // return what you want
});

Auth::routes();

//Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

Route::group(["prefix"=>"panel","as"=>"admin.",'middleware' => ["auth","role:super-admin"]],function (){
    Route::get("/dashboard",[DashboardController::class,"index"])->name("dashboard.index");

    Route::post('/ckeditor/upload',[CKEditorController::class,"upload"])->name("ckeditor.upload");

    // category route
    Route::get('/categories',[CategoryController::class,"index"])->name("categories.index");
    Route::get('/categories/create',[CategoryController::class,"create"])->name("categories.create");
    Route::post('/categories/{category:slug?}',[CategoryController::class,"store"])->name("categories.store");
    Route::get('/categories/{category:slug}/edit',[CategoryController::class,"edit"])->name("categories.edit");
    Route::get('/categories/{category:slug}',[CategoryController::class,"destroy"])->name("categories.destroy");

    // post route
    Route::get('/posts',[PostController::class,"index"])->name("posts.index");
    Route::get('/posts/create',[PostController::class,"create"])->name("posts.create");
    Route::post('/posts/{post:slug?}',[PostController::class,"store"])->name("posts.store");
    Route::get('/posts/{post:slug}/edit',[PostController::class,"edit"])->name("posts.edit");
    Route::get('/posts/{post:slug}',[PostController::class,"destroy"])->name("posts.destroy");

    // comments  route
    Route::get('/comments',[CommentController::class,"index"])->name("comments.index");
    Route::get('/comments/create',[CommentController::class,"create"])->name("comments.create");
    Route::post('/comments/{comment:id?}',[CommentController::class,"store"])->name("comments.store");
    Route::get('/comments/{comment:id}/edit',[CommentController::class,"edit"])->name("comments.edit");
    Route::get('/comments/{comment:id}',[CommentController:: class,"destroy"])->name("comments.destroy");

    // brand route
    Route::get('/brands',[BrandController::class,"index"])->name("brands.index");
    Route::get('/brands/create',[BrandController::class,"create"])->name("brands.create");
    Route::post('/brands/{brand:slug?}',[BrandController::class,"store"])->name("brands.store");
    Route::get('/brands/{brand:slug}/edit',[BrandController::class,"edit"])->name("brands.edit");
    Route::get('/brands/{brand:slug}',[BrandController::class,"destroy"])->name("brands.destroy");

    // product keys route
    Route::get('/keys',[ProductKeyController::class,"index"])->name("keys.index");
    Route::get('/keys/create',[ProductKeyController::class,"create"])->name("keys.create");
    Route::post('/keys/{key:id?}',[ProductKeyController::class,"store"])->name("keys.store");
    Route::get('/keys/{key:id}/edit',[ProductKeyController::class,"edit"])->name("keys.edit");
    Route::get('/keys/{key:id}',[ProductKeyController:: class,"destroy"])->name("keys.destroy");

    // product values route
    Route::get('/values',[ProductValueController::class,"index"])->name("values.index");
    Route::get('/values/create',[ProductValueController::class,"create"])->name("values.create");
    Route::post('/values/{value:id?}',[ProductValueController::class,"store"])->name("values.store");
    Route::get('/values/{value:id}/edit',[ProductValueController::class,"edit"])->name("values.edit");
    Route::get('/values/{value:id}',[ProductValueController:: class,"destroy"])->name("values.destroy");
    Route::get('/ajax-values',[ProductValueController:: class,"getByKeyAjax"])->name("values.by.Key.ajax");

    // product  route
    Route::get('/products',[ProductController::class,"index"])->name("products.index");
    Route::get('/products/create',[ProductController::class,"create"])->name("products.create");
    Route::post('/products/{product:slug?}',[ProductController::class,"store"])->name("products.store");
    Route::get('/products/{product:slug}/edit',[ProductController::class,"edit"])->name("products.edit");
    Route::get('/products/{product:slug}',[ProductController:: class,"destroy"])->name("products.destroy");

    // orders  route
    Route::get('/orders',[OrderController::class,"index"])->name("orders.index");
    Route::get('/orders/create',[OrderController::class,"create"])->name("orders.create");
    Route::post('/orders/{order:id?}',[OrderController::class,"store"])->name("orders.store");
    Route::get('/orders/{order:id}/edit',[OrderController::class,"edit"])->name("orders.edit");
    Route::get('/orders/{order:id}',[OrderController:: class,"destroy"])->name("orders.destroy");
    Route::get('/orders/change-status/{order:id}/{status}',[OrderController:: class,"changeStatus"])->name("orders.change.status");

    Route::get("tickets",[TicketController::class,"index"])->name("ticket.index");
    Route::get("tickets/{ticket:code}",[TicketController::class,"detail"])->name("ticket.detail");
    Route::get("tickets/close/{ticket:code}",[TicketController::class,"close"])->name("ticket.close");
    Route::get("tickets/close/{ticket:code}",[TicketController::class,"close"])->name("ticket.close");

    //menu route
    Route::get("menu",[MenuController::class,"index"])->name("menu.index");
    Route::get("menu/new",[MenuController::class,"create"])->name("menu.create");
    Route::get("menu/edit/{menu:id}",[MenuController::class,"edit"])->name("menu.edit");
    Route::post("menu/new/{menu:id?}",[MenuController::class,"store"])->name("menu.store");
    Route::get("menu/delete/{menu:id}",[MenuController::class,"destroy"])->name("menu.destroy");

    //page route
    Route::get("pages",[PageController::class,"index"])->name("page.index");
    Route::get("pages/new",[PageController::class,"create"])->name("page.create");
    Route::get("pages/edit/{page:slug}",[PageController::class,"edit"])->name("page.edit");
    Route::post("pages/new/{page:slug?}",[PageController::class,"store"])->name("page.store");
    Route::get("pages/delete/{page:slug}",[PageController::class,"destroy"])->name("page.destroy");

    Route::get("consultations",[ConsultationController::class,"index"])->name("consultations.index");
    Route::get("newsletter",[NewsletterController::class,"index"])->name("newsletter.index");
});

Route::group(["prefix"=>"profile","as"=>"profile.",'middleware' => ["auth","role:user"]],function (){
    Route::get("/",[ProfileController::class,"index"])->name("index");
    Route::get("/edit",[ProfileController::class,"profileEdit"])->name("edit");
    Route::post("/getCitiesAjax",[CityController::class,"getCitiesAjax"])->name("cities.ajax");
    Route::post("/update",[ProfileController::class,"updateProfile"])->name("profile.update");
    Route::get("/address",[AddressController::class,"address"])->name("address.index");
    Route::post("/address/create",[AddressController::class,"store"])->name("address.create");
    Route::get("/orders",[OrderController::class,"orderProfile"])->name("order.index");
    Route::get("/orders/{order:refuse_id}",[OrderController::class,"orderProfileDetail"])->name("order.detail");
    Route::get("/tickets",[TicketController::class,"profileTicket"])->name("ticket.index");
    Route::get("/tickets/new",[TicketController::class,"profileNewTicket"])->name("ticket.new");
    Route::get("/tickets/{ticket:code}",[TicketController::class,"profileTicketDetail"])->name("ticket.detail");
    Route::post("/tickets/create",[TicketController::class,"store"])->name("ticket.store");
    Route::post("/tickets-message/create/{ticket:code}",[TicketMessageController::class,"store"])->name("ticket.message.store");
    Route::post('/post/{post:slug}',[PostController::class,"storeComment"])->name("post.comment.store");
    Route::post('/product/{product:slug}',[ProductController::class,"storeComment"])->name("product.comment.store");
    Route::get("/payments",[PaymentController::class,"paymentProfile"])->name("payment.index");

    Route::get('/checkout', [ShoppingCartController::class, 'checkout'])->name('shopping-cart.checkout');
    Route::post('/order/submit', [ShoppingCartController::class, 'SendPayment'])->name('shopping-cart.payment.send');
    Route::get('/verify', [PaymentController::class, 'verify'])->name('payment.verify');

});


Route::group(["middleware" => "redirect"],function (){

app/Models/OrderModel.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class OrderModel extends Model
{
    use HasFactory;
    protected $table="orders";
    protected $primaryKey="id";
    protected $fillable = [
        "user_id","refuse_id","shopping_cart_id","tracking_code","status","description","receiver_name","receiver_family","receiver_address","receiver_national_code","receiver_postal_code"
    ];

    protected $appends = array('persianStatus');

    public function shoppingCart()
    {
        return $this->belongsTo(ShoppingCartModel::class,"shopping_cart_id");
    }
    public function user()
    {
        return $this->belongsTo(User::class,"user_id");
    }
    protected static function booted()
    {
        static::addGlobalScope('relation', function (Builder $builder) {
            $builder->with("shoppingCart")->with("user")->with("history");
        });
    }

    public function history()
    {
        return $this->hasMany(OrderHistoryModel::class,"order_id");
    }

    public function getPersianStatusAttribute($value)
    {
        if($this->attributes["status"] == config("order-status.paid"))
            return "پرداخت شده";
        elseif($this->attributes["status"] == config("order-status.unPaid"))
            return "پرداخت نشده";
        elseif($this->attributes["status"] == config("order-status.delivered"))
            return "تحویل داده شده";
        elseif($this->attributes["status"] == config("order-status.preparing"))
            return "در حال پردازش";
        elseif($this->attributes["status"] == config("order-status.sending"))
            return "در حال ارسال";
        else
            return "error";
    }
}

app/Http/Controllers/CommentController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Request;
use App\Models\CommentModel;
use App\Services\Comment\CommentService;
use Illuminate\Support\Facades\App;
use App\Http\Requests\CommentRequest;

class CommentController extends Controller
{

    public CommentService $commentService;

    public function __construct()
    {
        $this->commentService = App::make(CommentService::class);
    }

    public function index()
    {
        if(request()->ajax()){
            return datatables()->of($this->commentService->all())
                ->editColumn('created_at', function ($row) {
                    return \Morilog\Jalali\Jalalian::forge($row->created_at)->format('%Y/%m/%d');
                })
                ->editColumn('commentable_type', function ($row) {
                    if($row->commentable_type == "App\Models\PostModel"){
                        return "پست";
                    } else if($row->commentable_type == "App".DIRECTORY_SEPARATOR."Models".DIRECTORY_SEPARATOR."ProductModel"){
                        return "محصول";
                    }
                    return "-";
                })
                ->editColumn('commentable_title', function ($row) {
                    return $row->commentable->title;
                })
                ->addColumn('persian_status', function ($row) {
                    return $row->persian_status;
                })
                ->addColumn('action', function ($row) {
                    return view('panel.comments.buttons')->with("row",$row);
                })
                ->addColumn('username', function ($row) {
                    return $row->user->name;
                })
                ->addIndexColumn()
                ->rawColumns(['action','username',"commentable","commentable_title"])
                ->make(true);
        }
        return view("panel.comments.index");
    }

    public function create()
    {
        return view("panel.comments.new");
    }

    public function edit(CommentModel $comment)
    {
        return view("panel.comments.edit",compact("comment"));
    }

    public function store(CommentRequest $request, CommentModel $comment = null)
    {
        $commentData = $request->all();
        Auth::check() ? $commentData["user_id"] = Auth::id() : $commentData["user_id"] = null;
        $commentData["status"] = config("comment-status.initialRegistration");
        $commentData["commentable_type"] = $namespace;
        $model = $namespace::find($request["commentable_id"]);
        $comment ? $this->commentService->save($commentData,$model,$comment->id) : $comment = $this->commentService->save($commentData,$model);

        // there is a situation that comment has not changed, but gallery request changed. this situation CommentObserver has not performed updated method.
        // so, we should check gallery request in the controller.
        // if request has any gallery then upload it and save to db and sync galleriables
        // and also category request

        if($comment){
            return true;
        }
        return abort(500);
    }

    public function destroy(CommentModel $comment)
    {
        if( $this->commentService->delete($comment) ){
            return redirect()->route("admin.comments.index")->with("delete",true);
        }
    }

    public function show(CommentModel $comment)
    {
        return view("panel.comments.view",compact("comment"));
    }
}

resources/views/panel/comments/buttons.blade.php
<a href="{{ route("admin.comments.edit",["comment"=>$row->id]) }}" class="btn btn-primary">ویرایش</a>
<a href="#" data-bs-toggle="modal" data-bs-target="#confirm-delete" class="btn btn-danger show-delete-modal" data-url-delete="{{ route("admin.comments.destroy",["comment"=>$row->id]) }}">حذف</a>

resources/views/panel/comments/edit.blade.php
@extends("panel.layouts.ubold")
@section("head")
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css">
    <link rel="stylesheet" href="{{ asset("panel/assets/libs/file-upload/css/fileInput.css") }}">
    <title>فنجان ایرانی | ویرایش نظر </title>
@endsection
@section("content")
    <div class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box">
                        <div class="page-title-right">
                            <ol class="breadcrumb m-0">
                                <li class="breadcrumb-item"><a href="javascript: void(0);">داشبورد</a></li>
                                <li class="breadcrumb-item active">ویرایش نظر</li>
                            </ol>
                        </div>
                        <h4 class="page-title d-inline-block">ویرایش نظر </h4>
                    </div>
                </div>
            </div>
            @include("panel.partials.errors")
            @include("panel.partials.notifications")
            <div class="row">
                <div class="col-md-6 col-xl-6">
                    <div class="card table-static-height">
                        <div class="card-body">
                            <table class="table table-center table-striped table-responsive mb-5 align-middle">
                                <thead class="bg-primary text-white">
                                <tr>
                                    <th colspan="10">
                                        جزئیات نظر
                                    </th>
                                </tr>
                                </thead>
                                <thead>
                                <tr>
                                    <th>وضعیت</th>
                                    <th>ریپلای</th>
                                    <th>محتوای نظر</th>
                                </tr>
                                </thead>
                                <tbody class="text-center">
                                <tr>
                                    <td>
                                        @if($comment->status == "initialRegistration")
                                            <span class="badge badge-soft-warning p-2">{{ $comment->persian_status }}</span>
                                        @elseif($comment->status == "published")
                                            <span class="badge badge-soft-success p-2">{{ $comment->persian_status }}</span>
                                        @else
                                            <span class="badge badge-soft-danger p-2">{{ $comment->persian_status }}</span>
                                        @endif
                                    </td>
                                    <td>
                                        @if($comment->reply_id){
                                            <a href="#" class="btn btn-outline-primary">نمایش</a>
                                        @else
                                            -
                                        @endif
                                    </td>
                                    <td>
                                        <a href="#" class="btn btn-primary">نمایش</a>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <div class="col-md-6 col-xl-6">
                    <div class="card table-static-height">
                        <div class="card-body">
                            <table class="table table-center table-striped table-responsive mb-5 align-middle">
                                <thead class="bg-primary text-white">
                                <tr>
                                    <th colspan="10">
                                        اطلاعات commentable
                                    </th>
                                </tr>
                                </thead>
                                <thead>
                                <tr>
                                    <th>تصویر</th>
                                    <th>عنوان</th>
                                    <th>تاریخ ایجاد</th>
                                </tr>
                                </thead>
                                <tbody class="text-center">
                                <tr>
                                    <td>
                                        @if($comment->commentable_type == "App\Models\ProductModel")
                                            <img class="avatar-lg rounded-3" src="{{ asset("product-thumbnails/sm")."/".$comment->commentable->thumbnail }}" alt="{{ $comment->commentable->title }}">
                                        @elseif($comment->commentable_type == "App\Models\PostModel")
                                            <img class="avatar-lg rounded-3" src="{{ asset("post-thumbnails/sm")."/".$comment->commentable->thumbnail }}" alt="{{ $comment->commentable->title }}">
                                        @endif
                                    </td>
                                    <td>{{ $comment->commentable->title }}</td>
                                    <td>{{ $comment->created_at }}</td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-xl-12">
                    <div class="card table-static-height">
                        <div class="card-body">
                            <table class="table table-center table-striped table-responsive mb-5 align-middle">
                                <thead class="bg-primary text-white">
                                <tr>
                                    <th colspan="10">
                                        اطلاعات کاربر
                                    </th>
                                </tr>
                                </thead>
                                <thead>
                                <tr>
                                    <th>اواتار</th>
                                    <th>نام کاربری</th>
                                    <th>شماره تلفن</th>
                                    <th>ایمیل</th>
                                    <th>آدرس ip</th>
                                    <th>کد پستی</th>
                                    <th>شهر</th>
                                    <th>سن</th>
                                </tr>
                                </thead>
                                <tbody class="text-center">
                                <tr>
                                    <td><img class="avatar-sm" src="{{ asset("avatar")."/".$comment->user->avatar }}" alt="{{ $comment->user->name." ". $comment->user->family }}"></td>
                                    <td>{{ $comment->user->name." ". $comment->user->family }}</td>
                                    <td>{{ $comment->user->mobile }}</td>
                                    <td>{{ $comment->user->email }}</td>
                                    <td>{{ $comment->user->last_login_ip }}</td>
                                    <td>{{ $comment->user->postal_code }}</td>
                                    <td>{{ $comment->user->city }}</td>
                                    <td>{{ $comment->user->age }}</td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <a href="#" class="btn btn-success">تایید</a>
                            <a href="#" class="btn btn-danger">رد</a>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

@endsection
@section("script")
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
    <script src="{{ asset("panel/assets/libs/file-upload/js/fileInput.js") }}"></script>

    <script type="module" src="{{ asset("panel/assets/ckeditor5/src/ckeditor.js") }}"></script>
    <script src="{{ asset("panel/assets/ckeditor5/build/ckeditor.js") }}"></script>


    <script>

    </script>
@endsection

resources/views/panel/comments/index.blade.php
@extends("panel.layouts.ubold")
@section("head")
    <link rel="stylesheet" href="{{ asset("panel/assets/libs/datatables.net/jquery.dataTables.min.css") }}">
    <title>فنجان ایرانی | لیست نظرات</title>
@endsection
@section("content")
    <div class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box">
                        <div class="page-title-right">
                            <ol class="breadcrumb m-0">
                                <li class="breadcrumb-item"><a href="javascript: void(0);">داشبورد</a></li>
                                <li class="breadcrumb-item active">لیست نظرات</li>
                            </ol>
                        </div>
                        <h4 class="page-title d-inline-block">لیست نظرات</h4>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12 col-xl-12">
                    <div class="card">
                        <div class="card-body">
                            @include("panel.partials.notifications")
                            <div class="table-responsive">
                                <table id="datatable" class="table table-striped align-middle text-center w-100">
                                    <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>نام کاربری</th>
                                        <th>محصول | پست</th>
                                        <th>عنوان محصول | پست</th>
                                        <th>وضعیت</th>
                                        <th>تاریخ ثبت</th>
                                        <th>عملیات</th>
                                    </tr>
                                    </thead>
                                    <tbody>

                                    </tbody>
                                </table>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="confirm-delete" data-bs-backdrop="static" data-bs-keyboard="false">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title uc-first">حذف نظر</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <p>نظر حذف خواهد شد. آیا مطمئن هستید؟</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">بستن</button>
                    <a href="#" class="btn btn-danger btn-delete">بله حذفش کن!</a>
                </div>
            </div>
        </div>
    </div>
@endsection
@section("script")
    <script type="text/javascript" charset="utf8" src="{{ asset("https://cdn.datatables.net/1.12.0/js/jquery.dataTables.min.js") }}"></script>
    <script type="text/javascript" charset="utf8" src="{{ asset("https://cdn.datatables.net/fixedcolumns/4.1.0/js/dataTables.fixedColumns.min.js") }}"></script>
    <script>

        let url;
        $(document).on("click", ".show-delete-modal", (function (event) {
            url = $(this).attr("data-url-delete");
            $(".btn-delete").attr("href",url);
        }));

        $('#datatable thead tr').clone(true).appendTo( '#datatable thead' );
        $('#datatable thead tr:eq(1) th').each( function (i) {
            if(i !== 0){
                var title = $(this).text();
                $(this).html( '<input type="text" placeholder="جستجوی '+title+'" />' );
            }
            $( 'input', this ).on( 'change change', function () {
                if ( table.column(i).search() !== this.value ) {
                    table
                        .column(i)
                        .search( this.value )
                        .draw();
                }
            } );
        });

        $('#datatable').on('processing.dt',function( e, settings, processing ){
            if (processing){
                $("tbody").html('');
                $("tbody").css('height',"300px");
                $("tbody").append('<tr><td colspan="10"><div id="loading"></div></td></tr>');
            }else {
                $('#loading').hide();
                $("tbody").css('height',"auto");
            }
        });

        var table = $('#datatable').DataTable({
            fixedHeader: false,
            orderCellsTop: true,
            serverSide: true,
            "autoWidth": true,
            "language": {
                "url": "//cdn.datatables.net/plug-ins/1.10.19/i18n/Persian.json"
            },
            "scrollX": true,
            ajax: "{{ route('admin.comments.index') }}",
            columns: [
                {data: 'DT_RowIndex', name: 'DT_RowIndex'},
                {data: 'username', name: 'username'},
                {data: 'commentable_type', name: 'commentable_type'},
                {data: 'commentable_title', name: 'commentable_title'},
                {data: 'persian_status', name: 'persian_status'},
                {data: 'created_at', name: 'created_at'},
                {data: 'action', name: 'action'},
            ],
        });
    </script>
@endsection